### Enumeration

# GLib MarkupParseFlags

#### Declaration

    flags GLib.MarkupParseFlags

#### Description

Flags that affect the behaviour of the parser.

#### Members

`G_MARKUP_DEFAULT_FLAGS`

  No special behaviour. Since: 2.74.

  - Value: `0`
  - Available since: 2.0
`G_MARKUP_DO_NOT_USE_THIS_UNSUPPORTED_FLAG`

  Flag you should not use.

  - Value: `1`
  - Available since: 2.0
`G_MARKUP_TREAT_CDATA_AS_TEXT`

  When this flag is set, CDATA marked sections are not passed literally to the `passthrough` function of the parser. Instead, the content of the section (without the `<![CDATA[` and `]]>`) is passed to the `text` function. This flag was added in GLib 2.12.

  - Value: `2`
  - Available since: 2.0
`G_MARKUP_PREFIX_ERROR_POSITION`

  Normally errors caught by GMarkup itself have line/column information prefixed to them to let the caller know the location of the error. When this flag is set the location information is also prefixed to errors generated by the `GMarkupParser` implementation functions.

  - Value: `4`
  - Available since: 2.0
`G_MARKUP_IGNORE_QUALIFIED`

  Ignore (don’t report) qualified attributes and tags, along with their contents. A qualified attribute or tag is one that contains ‘:’ in its name (ie: is in another namespace). Since: 2.40.

  - Value: `8`
  - Available since: 2.0